declare function hook<D>(): {
    pageStatus: import("vue").ComputedRef<Record<string, any>>;
    pageInfo: import("vue").ComputedRef<D>;
    refresh: () => Promise<void>;
    setPageStatus: (v: Record<string, any>) => void;
};
export default hook;
